
Redmine - Defect #2190

Month names not translated to german

2008-11-14 19:11 - Martin Bächtold

Status: Closed Start date: 2008-11-14

Priority: Normal Due date:  

Assignee: Etienne Massip % Done: 0%

Category: I18n Estimated time: 0.00 hour

Target version: 2.1.0   

Resolution: Fixed Affected version:  

Description

You may read my comment in this issue: http://www.redmine.org/issues/2186

The month names are not displayed in german neither (december instead of Dezember).

In Settings > General, change the Date format to "14 November 2008".

Then you may visit the Roadmap-Page of a project where you must a have version defined.

In German you will see "Fällig in 47 Tagen (31 December 2008)", followed by all the tickets.

The month name is not translated, it should be Dezember.

By the way, there should be a period after the day of the month, i.e. 14. Dezember 2008.

Maybe you add this as a date format option in Settings > General.

I run Redmine 0.7.devel.2034 (MySQL)

Related issues:

Related to Redmine - Patch #6729: fix regional week/month names Closed 2010-10-22

Has duplicate Redmine - Defect #4841: Error encoding Created in /admin/projects Closed 2010-02-14

Associated revisions

Revision 9838 - 2012-06-16 23:45 - Etienne Massip

Display dates using user's locale if available (#2190).

Revision 9850 - 2012-06-17 11:34 - Toshi MARUYAMA

fix unit test fails on Ruby 1.8 and JRuby (#2190)

History

#1 - 2008-11-15 09:42 - Azamat Hackimov

Actiually, it's not bug. In Redmine settings you need set Date format to "Based user's language".

#2 - 2008-11-15 10:23 - Martin Bächtold

Yes, this could be a solution to the problem that the month names are not displayed in the user's language.

Because when you this, then all the dates are displayed like "DD.MM.YY." so there is no month name ;-)

But what if I wanted the dates to display like "DD. Monthname YYYY"?

#3 - 2008-11-16 09:33 - Jean-Philippe Lang

Defect confirmed. And it's not specific to german.

#4 - 2009-11-05 15:59 - Jean-Philippe Lang

- Category set to Translations

#5 - 2010-11-29 20:36 - Jean-Philippe Lang

- Category changed from Translations to I18n

#6 - 2011-04-05 14:27 - Etienne Massip
- Target version set to Candidate for next major release

#7 - 2011-04-05 14:28 - Etienne Massip

- Target version changed from Candidate for next major release to Candidate for next minor release

#8 - 2012-06-15 00:27 - Etienne Massip

- Description updated

#9 - 2012-06-16 23:47 - Etienne Massip

- Status changed from New to Resolved

- Target version changed from Candidate for next minor release to 2.0.3

- Resolution set to Fixed

Fixed with r9838.

#10 - 2012-06-17 11:04 - Jean-Philippe Lang

- Assignee set to Etienne Massip

- Target version changed from 2.0.3 to 2.1.0

Tests are broken with ruby1.8 and jruby and I think it can wait for 2.1.

#11 - 2012-06-17 13:50 - Etienne Massip

Toshi fixed it with r9850, thank you very much!

String encoding in Ruby is really a PITA compared to other languages...the format I used even prevented unit tests to be run at all on JRuby.

#12 - 2012-06-17 14:04 - Etienne Massip

- Subject changed from Month names not translated to german? to Month names not translated to german

#13 - 2012-08-08 20:04 - Jean-Philippe Lang

- Status changed from Resolved to Closed
